### Function

# Gtk.WidgetActionActivateFunc

#### Declaration

    void
    WidgetActionActivateFunc (
      GtkWidget* widget,
      const char* action_name,
      GVariant* parameter
    )

#### Description [src]

The type of the callback functions used for activating actions installed with `gtk_widget_class_install_action()`.

The `parameter` must match the `parameter_type` of the action.

#### Parameters

`widget` | `GtkWidget`
| the widget to which the action belongs
| Ownership is not transferred to the callee
`action_name` | `const char*`
| the action name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`parameter` | `GVariant*`
| parameter for activation
| Ownership is not transferred to the callee